Subject: Re: [PATCH 1/2] add -p: mark split hunks as undecided

From: Phillip Wood <[email-masked]>
Date: Tue, 4 Mar 2025 10:25:39 +0000

Hi Junio

On 28/02/2025 17:06, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
> 
>> ... There was some talk a while ago about
>> adding a mechanism to select "git 3.0" features at build or run
>> time. If we add something like that I'll resubmit with this change
>> guarded by that feature.
> 
> Documentation/BreakingChanges says that we can hide it behind
> WITH_BREAKING_CHANGES compile-time switch, and that is part of
> 2.49-rc0 already.  The linux-breaking-changes GitHub Actions CI job
> runs with it defined.

Thanks I'd missed that being merged. I'll re-roll with the changes in 
this patch guarded by WITH_BREAKING_CHANGES.

>> Perhaps we should make the confirm-before-quitting thing a "git 3.0"
>> feature as well?
> 
> I do not feel too strongly either way.  Sometimes I wish it asked
> for the final confirmation after all hunks are decided.  Most of the
> time I do not feel that way, which almost always is after saying 'q'
> to finish the selection.  So I dunno, but my thinking right now is
> that I lean a bit toward negative than positive.
> 
> In any case, I think we should indicate the (selected, deselected,
> undecided) for the current hunk the user is being asked about, which
> we talked about. As a workaround, we can do 'g' command to see the
> list of hunks and check the indicator (+/ /-) for each hunk.

I'll try and take a look at that in the next release cycle

Best Wishes

Phillip